Description

We often do this in our templates:

@host.params['enable-puppetlabs-repo'] && @host.params['enable-puppetlabs-repo'] == 'true'

 this could be written as

@host.param_true?('enable-puppetlabs-repo')

 I am going to do this small patch and after this is merged, let's raise a ticked for community templates to use this after 1.4 release.

Associated revisions

Revision 3701a8d1 - 01/21/2014 05:24 PM - Lukas Zapletal

fixes #3955 - added param_true? and snippet_if_exist template methods

Revision 32e769f6 - 01/23/2014 11:31 AM - Lukas Zapletal

fixes #3955 - added param_true? and snippet_if_exist template methods

(cherry picked from commit 3701a8d1c6d698ea8c57321eed2f87c74bd57728)

History

#1 - 01/09/2014 10:24 AM - Lukas Zapletal

Other ideas: We could define "snippet_if_exist" method for rendering snippets and not issuing errors when snippet does not exist. And offer a way of

determining current template name - "template_name".

This way we could add this bit into our community templates to all installation sections, so users can easily "override" and add own commands there:

<%= snippet_if_exist "#{template_name} Post" %>

 By creating "Community Kickstart Post" user can add own commands there and another community template import will not destroy this.

#2 - 01/20/2014 03:25 PM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.9.2

- translation missing: en.field_release set to 2

https://github.com/theforeman/foreman/pull/1178

#3 - 01/21/2014 05:31 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3701a8d1c6d698ea8c57321eed2f87c74bd57728.
